{...}: {
  nixpkgs.overlays = [
    (final: prev: {
      ncmpcpp = prev.ncmpcpp.override {
        visualizerSupport = true;
      };
    })
  ];

  programs.ncmpcpp = {
    enable = true;

    settings = {
      visualizer_data_source = "/tmp/mpd.fifo";
      visualizer_output_name = "my_fifo";
      visualizer_in_stereo = "yes";
      visualizer_type = "spectrum";
      visualizer_look = "+|";
      visualizer_spectrum_smooth_look = "yes";
    };
  };
}
